Bug 1312859 - [RFE] Backport FIPS mode workaround for hashlib from RHEL-6
[RFE] Backport FIPS mode workaround for hashlib from RHEL-6
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: python26 (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adrien Devresse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 07:06 EST by Hubert Kario
Modified: 2017-04-06 06:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:03:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Kario 2016-02-29 07:06:24 EST
Description of problem:
When hashlib is used for calculating MD5 digest and the system is running in FIPS mode, the OpenSSL implementation will abort process

Version-Release number of selected component (if applicable):
python26-2.6.8-2.el5.x86_64

How reproducible:
always

Steps to Reproduce:
1. Enable FIPS mode in RHEL-5
2. use hashlib module to calculate MD5 hash
3.

Actual results:
digest.c(151): OpenSSL internal error, assertion failed: Digest update previous FIPS forbidden algorithm error ignored

Expected results:
ValueError raised, usedforsecurity parameter to new() supported

Additional info:
The feature is implemented in python-2.6.5-hashlib-fips.patch in RHEL-6 package
Comment 1 Fedora End Of Life 2017-04-06 06:03:41 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.